# Uses of Class
org.apache.sling.resourceresolver.impl.providers.stateful.AuthenticatedResourceProvider

Packages that use AuthenticatedResourceProvider
Package
Description
org.apache.sling.resourceresolver.impl.helper
org.apache.sling.resourceresolver.impl.providers.stateful

## Uses of AuthenticatedResourceProvider in org.apache.sling.resourceresolver.impl.helper

Methods in org.apache.sling.resourceresolver.impl.helper that return AuthenticatedResourceProvider
Modifier and Type
Method
Description
`AuthenticatedResourceProvider`
ResourceResolverControl.`checkSourceAndDest(ResourceResolverContext context, String srcAbsPath, String destAbsPath)`
Check source and destination for operations

## Uses of AuthenticatedResourceProvider in org.apache.sling.resourceresolver.impl.providers.stateful

Fields in org.apache.sling.resourceresolver.impl.providers.stateful declared as AuthenticatedResourceProvider
Modifier and Type
Field
Description
`static final AuthenticatedResourceProvider`
AuthenticatedResourceProvider.`UNAUTHENTICATED_PROVIDER`
Methods in org.apache.sling.resourceresolver.impl.providers.stateful that return AuthenticatedResourceProvider
Modifier and Type
Method
Description
`@Nullable AuthenticatedResourceProvider`
ProviderManager.`getOrCreateProvider(@NotNull ResourceProviderHandler handler, @NotNull ResourceResolverControl control)`
Get the context
Methods in org.apache.sling.resourceresolver.impl.providers.stateful that return types with arguments of type AuthenticatedResourceProvider
Modifier and Type
Method
Description
`Collection<AuthenticatedResourceProvider>`
ProviderManager.`getAllAuthenticated()`
`Iterable<AuthenticatedResourceProvider>`
ProviderManager.`getAllBestEffort(@NotNull List<ResourceProviderHandler> handlers, @NotNull ResourceResolverControl control)`
`Collection<AuthenticatedResourceProvider>`
ProviderManager.`getAllUsedModifiable()`
`Collection<AuthenticatedResourceProvider>`
ProviderManager.`getAllUsedRefreshable()`